Bug 493626 - [Radeon] Freeze on resume under KMS (radeon mobility 9600)
[Radeon] Freeze on resume under KMS (radeon mobility 9600)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-02 08:51 EDT by Pantelis
Modified: 2010-06-28 07:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 07:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -nn (1.75 KB, text/plain)
2009-04-02 08:51 EDT, Pantelis
no flags Details
lspci -nn -v (6.21 KB, text/plain)
2009-04-02 08:52 EDT, Pantelis
no flags Details
Xorg.log (40.20 KB, text/plain)
2009-04-02 08:53 EDT, Pantelis
no flags Details
plain dmesg (38.27 KB, text/plain)
2009-04-02 08:55 EDT, Pantelis
no flags Details
dmesg during suspend test with drm.debug enabled (121.89 KB, text/plain)
2009-04-02 09:03 EDT, Pantelis
no flags Details
dmesg from an "almost working" session (111.48 KB, text/plain)
2009-04-02 13:47 EDT, Pantelis
no flags Details
.config of "almost working" kernel (81.05 KB, text/plain)
2009-04-02 13:50 EDT, Pantelis
no flags Details

  None (edit)
Description Pantelis 2009-04-02 08:51:17 EDT
Created attachment 337796 [details]
lspci -nn

Description of problem:
When booting a modesetting (KMS) kernel, the laptop freezes on resume.
This happened with the radeon test day livecd and with the kernel released just after as well.

Version-Release number of selected component (if applicable):
uname -a
Linux localhost.localdomain #1 SMP Wed Apr 1 08:57:13 EDT 2009 i686 i686 i386 GNU/Linux

How reproducible:

Steps to Reproduce:
1. Boot fedora's latest radeon test day livecd or even one with the newer kernel released just after. 
2. suspend in any way (from gui, pm-suspend, echo mem > /sys/power/state, anything)
3. Press the power button to resume
Actual results:
Frozen system. Ssh connection dead, no keyboard/mouse, blank screen, does not even respond to pings.

Expected results:
Correctly resumed system.

Additional info:

Smolt hardware profile:

1. Suspend/resume work fine with 'nomodeset'.

2. The radeon suspend test: 'cat /debug/dri/0/radeon_suspend_test' successfully resumes, with latest kernel no more drm oops. Relevant dmesg output attached.

3. Attached lspci -nn, lcpci -nn -v, dmesg, dmesg with drm.debug=1, dmesg with drm debugging enabled only during the suspend test.

4. Xorg.0.log attached too just in case it has any interesting info, though the same problem happens regardless whether the suspend / resume is from console or X.

5. Other information / patch testing happily provided on demand.
Comment 1 Pantelis 2009-04-02 08:52:41 EDT
Created attachment 337797 [details]
lspci -nn -v
Comment 2 Pantelis 2009-04-02 08:53:36 EDT
Created attachment 337798 [details]
Comment 3 Pantelis 2009-04-02 08:55:16 EDT
Created attachment 337799 [details]
plain dmesg
Comment 4 Pantelis 2009-04-02 09:03:57 EDT
Created attachment 337801 [details]
dmesg during suspend test with drm.debug enabled

echo 1 > /sys/module/drm/parameters/debug && 
cat /debug/dri/0/radeon_suspend_test && 
echo 0 > /sys/module/drm/parameters/debug
Comment 5 Pantelis 2009-04-02 13:32:41 EDT
An additional (hopefully helpful) clue:

1. When I compile just a vanilla 2.6.29 + drm-next + drm-modesetting-radeon + drm-radeon-reorder-bm patches, resume no longer freezes completely.
The display stays blank, but at least I can now ssh in. (KMS is still enabled)

I 'm attaching the config of the "almost working" kernel and a dmesg with verbose PM messages and also with drm.debug enabled during the suspend/resume.
Comment 6 Pantelis 2009-04-02 13:47:14 EDT
Created attachment 337862 [details]
dmesg from an "almost working" session

This is a dmesg with verbose PM messages from a suspend/resume session that doesn't freeze (just no display). It should at least show the order things are suspended / resumed.

drm.debug is also enabled during the suspend/resume cycle.
Comment 7 Pantelis 2009-04-02 13:50:24 EDT
Created attachment 337863 [details]
.config of "almost working" kernel
Comment 8 Pantelis 2009-04-02 14:39:08 EDT
It seems the "almost working" kernel can become "fully working"
if I use pm-suspend --quirk-vbestate-restore
Comment 9 Bug Zapper 2009-06-09 09:05:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 10 Jérôme Glisse 2009-10-14 07:00:48 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 11 Pantelis 2009-10-18 09:23:40 EDT
I will try as soon as I can but it will take some time since I am nowhere near that laptop right now. At worst I 'll be able to test around christmas when I get home.
Comment 12 Vedran Miletić 2010-03-23 20:07:27 EDT
Can you rather retry with F13 Alpha?


Fedora Bugzappers volunteer triage team
Comment 13 Bug Zapper 2010-04-27 09:26:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 14 Bug Zapper 2010-06-28 07:39:33 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.